"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _View = _interopRequireDefault(require("react-native-web/dist/exports/View"));

var _Text = _interopRequireDefault(require("react-native-web/dist/exports/Text"));

var _StyleSheet = _interopRequireDefault(require("react-native-web/dist/exports/StyleSheet"));

var _ViewPropTypes = _interopRequireDefault(require("react-native-web/dist/exports/ViewPropTypes"));

var _buttons = require("../../buttons");

var _quarkCore = require("quark-core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

var CardAction = function CardAction(_ref) {
  var style = _ref.style,
      unused = _objectWithoutProperties(_ref, ["style"]);

  return _react.default.createElement(_quarkCore.GetTheme, null, function (_ref2) {
    var grey2 = _ref2.grey2,
        grey1 = _ref2.grey1,
        primaryColor = _ref2.primaryColor;
    return _react.default.createElement(_buttons.BaseButtonWithText, _extends({
      defaultColor: "white",
      activeColor: grey1,
      textColor: primaryColor,
      style: [styles.container, {
        borderTopColor: grey2
      }, style],
      constrainSize: false
    }, unused));
  });
};

var styles = _StyleSheet.default.create({
  container: {
    flex: 1,
    alignSelf: 'flex-end',
    borderRadius: 0,
    borderStyle: 'solid',
    borderTopWidth: 1
  }
});

var _default = CardAction;
exports.default = _default;