"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _svgs = require("svgs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Codepen = function Codepen(props) {
  return _react.default.createElement(_svgs.Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-codepen"
  }, props.style), _react.default.createElement(_svgs.Path, {
    d: "M12 2l10 6.5v7L12 22 2 15.5v-7L12 2zM12 22v-6.5"
  }), _react.default.createElement(_svgs.Path, {
    d: "M22 8.5l-10 7-10-7"
  }), _react.default.createElement(_svgs.Path, {
    d: "M2 15.5l10-7 10 7M12 2v6.5"
  }));
};

var _default = Codepen;
exports.default = _default;