"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _svgs = require("svgs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Scissors = function Scissors(props) {
  return _react.default.createElement(_svgs.Svg, _extends({
    width: "1em",
    height: "1em",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "feather feather-scissors"
  }, props.style), _react.default.createElement(_svgs.Circle, {
    cx: 6,
    cy: 6,
    r: 3
  }), _react.default.createElement(_svgs.Circle, {
    cx: 6,
    cy: 18,
    r: 3
  }), _react.default.createElement(_svgs.Path, {
    d: "M20 4L8.12 15.88M14.47 14.48L20 20M8.12 8.12L12 12"
  }));
};

var _default = Scissors;
exports.default = _default;