"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Base = _interopRequireDefault(require("../Base"));

var _typography = require("../../typography");

var _styles = require("../styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

var ButtonWithText = function ButtonWithText(_ref) {
  var size = _ref.size,
      textColor = _ref.textColor,
      textStyle = _ref.textStyle,
      children = _ref.children,
      unused = _objectWithoutProperties(_ref, ["size", "textColor", "textStyle", "children"]);

  return _react.default.createElement(_Base.default, _extends({
    size: size
  }, unused, {
    textColor: textColor
  }), _react.default.createElement(_typography.Text, {
    style: _extends({}, _styles.textSizes[size], {
      color: textColor
    }, textStyle)
  }, children));
};

ButtonWithText.defaultProps = {
  size: 'medium'
};
var _default = ButtonWithText;
exports.default = _default;