"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _View = _interopRequireDefault(require("react-native-web/dist/exports/View"));

var _StyleSheet = _interopRequireDefault(require("react-native-web/dist/exports/StyleSheet"));

var _Text = _interopRequireDefault(require("react-native-web/dist/exports/Text"));

var _TouchableWithoutFeedback = _interopRequireDefault(require("react-native-web/dist/exports/TouchableWithoutFeedback"));

var _ViewPropTypes = _interopRequireDefault(require("react-native-web/dist/exports/ViewPropTypes"));

var _styles = require("quark-core/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

var AppBar = function AppBar(_ref) {
  var style = _ref.style,
      statusBarStyle = _ref.statusBarStyle,
      onPress = _ref.onPress,
      unused = _objectWithoutProperties(_ref, ["style", "statusBarStyle", "onPress"]);

  return _react.default.createElement(_View.default, _extends({
    style: [styles.container, style]
  }, unused));
};

var styles = _StyleSheet.default.create({
  container: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'flex-start',
    height: 16 * _styles.baseDim,
    width: '100%',
    borderBottomWidth: 1,
    borderBottomColor: _styles.grey2,
    borderStyle: 'solid',
    paddingLeft: 5 * _styles.baseDim,
    paddingRight: 5 * _styles.baseDim
  }
});

var _default = AppBar;
exports.default = _default;